Internal.ListAdapter
Date: 2017-07-08

com.google.protobuf

## Class Internal.ListAdapter<F,T>

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<T>
    - - com.google.protobuf.Internal.ListAdapter<F,T>

- All Implemented Interfaces:
    java.lang.Iterable<T>, java.util.Collection<T>, java.util.List<T>
  Enclosing class:
    Internal

      public static class Internal.ListAdapter<F,T>
      extends java.util.AbstractList<T>

  Provides an immutable view of `List<T>` around a `List<F>`. Protobuf internal. Used in protobuf generated code only.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `Internal.ListAdapter.Converter<F,T>` Convert individual elements of the List from F to T.

  - ### Field Summary

    - ### Fields inherited from class java.util.AbstractList

      `modCount`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Internal.ListAdapter(java.util.List<F> fromList, Internal.ListAdapter.Converter<F,T> converter)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `get(int index)`
    `int` | `size()`

    - ### Methods inherited from class java.util.AbstractList

      `add, add, addAll, clear, equals, hashCode, indexOf, iterator, lastIndexOf, listIterator, listIterator, remove, removeRange, set, subList`

    - ### Methods inherited from class java.util.AbstractCollection

      `addAll, contains, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toArray, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.List

      `addAll, contains, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toArray`

- - ### Constructor Detail

    - #### Internal.ListAdapter

          public Internal.ListAdapter(java.util.List<F> fromList,
                              Internal.ListAdapter.Converter<F,T> converter)

  - ### Method Detail

    - #### get

          public T get(int index)

      Specified by:
        `get` in interface `java.util.List<T>`
      Specified by:
        `get` in class `java.util.AbstractList<T>`

    - #### size

          public int size()

      Specified by:
        `size` in interface `java.util.Collection<T>`
      Specified by:
        `size` in interface `java.util.List<T>`
      Specified by:
        `size` in class `java.util.AbstractCollection<T>`